=== debian/changelog ===
shadowsocks-libev (3.3.0+ds-1~bpo10+2) buster-backports; urgency=medium

  * Source only upload for buster-backports.

 -- Roger Shimizu <rosh@debian.org>  Fri, 16 Aug 2019 23:04:16 +0900

shadowsocks-libev (3.3.0+ds-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Roger Shimizu <rosh@debian.org>  Fri, 26 Jul 2019 23:43:34 -0300

shadowsocks-libev (3.3.0+ds-1) unstable; urgency=medium

  [ Roger Shimizu ]
  * New upstream release: v3.3.0
    - Enlarge the socket buffer size to 16KB.
    - Fix the empty list bug in ss-manager.
    - Fix the IPv6 address parser.
  * debian/libshadowsocks-libev2.symbols: Update to fix FTBFS.

  [ Boyuan Yang ]
  * debian/*.service: Sync with upstream and require
    network-online.target instead of network.target.
  * debian/control: Bump Standards-Version to 4.4.0.
  * debian/shadowsocks-libev.lintian-overrides: Add overrides
    for systemd service templates that cannot fallback to sysvinit
    scripts.

 -- Boyuan Yang <byang@debian.org>  Sun, 14 Jul 2019 13:49:01 -0400
