=== debian/changelog ===
shadowsocks-libev (3.3.1+ds-1) unstable; urgency=medium

  * New upstream release: v3.3.1
    - Fix a high CPU bug introduced in 3.3.0.
    - Fix MinGW build.
    - Minor bug fixes.

 -- Roger Shimizu <rosh@debian.org>  Thu, 15 Aug 2019 01:54:34 +0900
