=== debian/changelog ===
shadowsocks-libev (3.3.3+ds-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Roger Shimizu <rosh@debian.org>  Tue, 26 Nov 2019 00:31:53 +0900

shadowsocks-libev (3.3.3+ds-1) unstable; urgency=medium

  * debian/*.service:
    - Run service in DynamicUser (Closes: #934186).
  * debian/control:
    - Use tracker mail as maintainer address.
  * debian/copyright:
    - Update copyright year and debian email for my entry.
  * debian/patches:
    - Add a patch to amend shadowsocks-libev.pc.in,
      to remove crypto library dependency. Thanks to lintian.

 -- Roger Shimizu <rosh@debian.org>  Sat, 23 Nov 2019 14:29:07 +0900

shadowsocks-libev (3.3.2+ds-1~bpo9+1) stretch-backports-sloppy; urgency=medium

  * Rebuild for stretch-backports-sloppy.

 -- Roger Shimizu <rosh@debian.org>  Thu, 31 Oct 2019 02:45:52 +0900

shadowsocks-libev (3.3.1+ds-1~bpo9+1) stretch-backports-sloppy; urgency=medium

  * Rebuild for stretch-backports-sloppy.

 -- Roger Shimizu <rosh@debian.org>  Sat, 17 Aug 2019 00:43:17 +0900
