=== doc/CMakeLists.txt ===
--- 
+++ 
@@ -23,6 +23,7 @@
 endif ()
 
 set(CMAKE_MANPAGE_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/man)
+set(CMAKE_HTML_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/html)
 
 set(DOC_DIR ${CMAKE_SOURCE_DIR}/doc)
 set(XMLTO_OPTS -m ${DOC_DIR}/manpage-normal.xsl -m ${DOC_DIR}/manpage-bold-literal.xsl man)
@@ -39,6 +40,8 @@
     string(REGEX REPLACE \\.. .asciidoc docfile ${manfile})
     string(REGEX REPLACE \\.. .html htmlfile ${manfile})
 
+    set(manfile ${CMAKE_MANPAGE_OUTPUT_DIRECTORY}/${manfile})
+    set(htmlfile ${CMAKE_HTML_OUTPUT_DIRECTORY}/${htmlfile})
     set(docfile ${DOC_DIR}/${docfile})
 
     add_custom_command(OUTPUT ${manfile}
@@ -69,13 +72,19 @@
     set_target_properties(doc-man PROPERTIES EXCLUDE_FROM_ALL TRUE)
 else ()
     install(DIRECTORY ${CMAKE_BINARY_DIR}/man/
-            DESTINATION man)
+            DESTINATION share/man/man1
+            FILES_MATCHING PATTERN "*.1"
+            )
+    install(DIRECTORY ${CMAKE_BINARY_DIR}/man/
+            DESTINATION share/man/man8
+            FILES_MATCHING PATTERN "*.8"
+            )
 endif ()
 if (NOT WITH_DOC_HTML)
     set_target_properties(doc-html PROPERTIES EXCLUDE_FROM_ALL TRUE)
 else ()
     install(DIRECTORY ${CMAKE_BINARY_DIR}/html/
-            DESTINATION doc/html)
+            DESTINATION share/doc/${PROJECT_NAME})
 endif ()
 
 # This is required for custom command
