=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: shadowsocks-libev
 Section: net
 Priority: optional
-Maintainer: Debian Bridges Team <team+bridges@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Bridges Team <team+bridges@tracker.debian.org>
 Uploaders:
  Max Lv <max.c.lv@gmail.com>,
  Boyuan Yang <byang@debian.org>,
  Roger Shimizu <rosh@debian.org>
 Build-Depends:
  asciidoc-base | asciidoc,
- debhelper (>= 10),
+ debhelper (>= 12),
  libbloom-dev,
  libc-ares-dev,
  libcork-dev (>= 0.15.0+ds-8),
@@ -20,6 +21,7 @@
  pkg-config,
  xmlto,
 Standards-Version: 4.4.1
+Rules-Requires-Root: no
 Homepage: https://www.shadowsocks.org
 Vcs-Git: https://salsa.debian.org/bridges-team/shadowsocks-libev.git
 Vcs-Browser: https://salsa.debian.org/bridges-team/shadowsocks-libev
@@ -73,6 +75,8 @@
 Breaks:
  shadowsocks (<< 1.5.3-2),
 Architecture: any
+Pre-Depends:
+ ${misc:Pre-Depends},
 Depends:
  libcap2-bin [linux-any],
  lsb-base (>= 3.0-6),
